%define	major 1
%define libname %mklibname mng %{major}
%define develname %mklibname -d mng
%define staticdevelname %mklibname -d -s mng
%define sname libmng

Summary: Library for Multiple-image Network Graphics support
Name: %{sname}%{major}
Version: 1.0.10
Release: %mkrel 2
Group:		System/Libraries
URL: http://www.libmng.com/
# This is a common zlib variant.
License: zlib
Source0: http://prdownloads.sourceforge.net/libmng/%{sname}-%{version}.tar.gz
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: lcms-devel
BuildRequires: libtool
BuildRequires: autoconf

%package devel
Summary: Development files for the Multiple-image Network Graphics library
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel
Requires: libjpeg-devel

%description
LibMNG is a library for accessing graphics in MNG (Multi-image Network
Graphics) and JNG (JPEG Network Graphics) formats.  MNG graphics are
basically animated PNGs.  JNG graphics are basically JPEG streams
integrated into a PNG chunk.

%description devel
LibMNG is a library for accessing MNG and JNG format graphics.  The
libmng-devel package contains files needed for developing or compiling
applications which use MNG graphics.

%prep
%setup -q -n %{sname}-%{version}

%build
cp makefiles/configure.in .
cp makefiles/Makefile.am .
sed -i '/AM_C_PROTOTYPES/d' configure.in
autoreconf -if
%configure --enable-shared --disable-static --with-zlib --with-jpeg \
	--with-gnu-ld --with-lcms
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc CHANGES LICENSE README*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,0755)
%doc doc/*
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.10-2.mga6
+ Revision: 950700
- Mageia 6 Mass Rebuild

* Mon Nov 17 2014 bcornec <bcornec> 1.0.10-1.mga5
+ Revision: 797659
- group for lib fixed
- lcms dep fixed
- Import libmng1
- Created package structure for libmng1.

